/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 France Telecom R&D
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: ClientSingleton.java 21483 2011-06-23 14:47:13Z jppouzol $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.cxf.transport.reliablejms.example.springmdp.client;

import javax.annotation.PostConstruct;

import org.apache.cxf.jms_greeter.JMSGreeterPortType;
import org.ow2.jonas.cxf.transport.reliablejms.AbsReliableJMSTransportSingletonBean;
import org.ow2.jonas.cxf.transport.reliablejms.example.springmdp.client.sender.ClientSender;
import org.ow2.jonas.cxf.transport.reliablejms.example.springmdp.client.sender.IClientSender;

public class ClientSingleton extends AbsReliableJMSTransportSingletonBean {

	public static final String SPRING_RESOURCE = "cxf-mdb-client.xml";

	private ClientSender sender;

	public ClientSingleton() {
		super(SPRING_RESOURCE);
	}

	@PostConstruct
	public void init() {
		super.init();
		sender = new ClientSender();
		sender.setJMSGreeterPortType((JMSGreeterPortType) ((MyService) getApplicationContext()
				.getBean("WebService")).getService());
	}

	public IClientSender getSender() {
		return sender;
	}

}
