/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 France Telecom R&D
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: ClientSender.java 21400 2011-06-08 21:05:31Z jppouzol $
 * --------------------------------------------------------------------------
 */
 package org.ow2.jonas.cxf.transport.reliablejms.example.springmdp.client.sender;

import org.apache.cxf.jms_greeter.JMSGreeterPortType;
import org.apache.cxf.jms_greeter.MyFault;

public class ClientSender implements IClientSender {

	JMSGreeterPortType service;

	public ClientSender() {
	}

	public void setJMSGreeterPortType(JMSGreeterPortType srv) {
		service = srv;
	}

	public void greetMe(String name) {
		try {
			service.greetMe(name);
		} catch (MyFault e) {
			e.printStackTrace();
		}
	}

	public void greetMeOneWay(String name) {
		service.greetMeOneWay(name);
	}

	public void sayHi(String name) {
		service.sayHi(name);
	}

}
