/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 France Telecom R&D
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: ClientServlet.java 21400 2011-06-08 21:05:31Z jppouzol $
 * --------------------------------------------------------------------------
 */
 package org.ow2.jonas.cxf.transport.reliablejms.example.springmdp.client.servlet;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.ow2.jonas.cxf.transport.reliablejms.example.springmdp.client.ClientSingleton;
import org.ow2.jonas.cxf.transport.reliablejms.example.springmdp.client.sender.IClientSender;
import org.springframework.context.ApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;

public class ClientServlet extends HttpServlet {

	private static final long serialVersionUID = 1L;

	private ApplicationContext appContext;
	private IClientSender clientSender;

	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();

		String methodName = request.getParameter("methodName");
		String paramName = request.getParameter("paramName");

		out.println("<html><body>");
		out.println("<form action='call' method='get' >");
		out.println("<input type='radio' name='methodName' value='greetMe' />greeMe<br />");
		out.println("<input type='radio' name='methodName' value='greetMeOneWay' />greetMeOneWay<br />");
		out.println("<input type='radio' name='methodName' value='sayHi' />sayHi<br />");

		out.println("<input type='text' name='paramName' value='florent' /><br />");

		out.println("<input type='submit' value='Call !'/>");
		out.println("</form>");

		if (clientSender == null) {
			appContext = WebApplicationContextUtils
					.getWebApplicationContext(getServletContext());
			if (appContext == null) {
				throw new IllegalStateException();
			}
			
			ClientSingleton cs = (ClientSingleton) appContext
					.getBean("clientSingleton");
			if (cs == null) {
				throw new IllegalStateException();
			}

			clientSender = cs.getSender();

			if (clientSender == null) {
				throw new IllegalStateException();
			}
		}

		if (paramName != null) {
			if ("greetMe".equals(methodName)) {
				out.println("Calling greetMe with name '" + paramName
						+ "'<br />");
				clientSender.greetMe(paramName);
			} else if ("greetMeOneWay".equals(methodName)) {
				out.println("Calling greetMeOneWay with name '" + paramName
						+ "' (no answer expected)<br />");
				clientSender.greetMeOneWay(paramName);
			} else {
				out.println("Calling sayHi with name '" + paramName + "'<br />");
				clientSender.sayHi(paramName);
			}
		}

		out.println("</body></html>");

	}

}
